
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

//
//

//
//
//

#ifndef _CSLR__DMAXPDSP_1_H_
#define _CSLR__DMAXPDSP_1_H_

#if 0
#include <cslr.h>
#include <tistdtypes.h>
#else
#include <std.h>
#endif

/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 CONTROL;
    volatile Uint32 STATUS;
    volatile Uint32 WAKEUP;
    volatile Uint32 CYCLECNT;
    volatile Uint32 STALLCNT;
    volatile Uint8 RSVD0[12];
    volatile Uint32 CONTABBLKIDX0;
    volatile Uint32 CONTABBLKIDX1;
    volatile Uint32 CONTABPROPTR0;
    volatile Uint32 CONTABPROPTR1;
    volatile Uint8 RSVD1[976];
    volatile Uint32 INTGPR0;
    volatile Uint32 INTGPR1;
    volatile Uint32 INTGPR2;
    volatile Uint32 INTGPR3;
    volatile Uint32 INTGPR4;
    volatile Uint32 INTGPR5;
    volatile Uint32 INTGPR6;
    volatile Uint32 INTGPR7;
    volatile Uint32 INTGPR8;
    volatile Uint32 INTGPR9;
    volatile Uint32 INTGPR10;
    volatile Uint32 INTGPR11;
    volatile Uint32 INTGPR12;
    volatile Uint32 INTGPR13;
    volatile Uint32 INTGPR14;
    volatile Uint32 INTGPR15;
    volatile Uint32 INTGPR16;
    volatile Uint32 INTGPR17;
    volatile Uint32 INTGPR18;
    volatile Uint32 INTGPR19;
    volatile Uint32 INTGPR20;
    volatile Uint32 INTGPR21;
    volatile Uint32 INTGPR22;
    volatile Uint32 INTGPR23;
    volatile Uint32 INTGPR24;
    volatile Uint32 INTGPR25;
    volatile Uint32 INTGPR26;
    volatile Uint32 INTGPR27;
    volatile Uint32 INTGPR28;
    volatile Uint32 INTGPR29;
    volatile Uint32 INTGPR30;
    volatile Uint32 INTGPR31;
    volatile Uint32 INTCTER0;
    volatile Uint32 INTCTER1;
    volatile Uint32 INTCTER2;
    volatile Uint32 INTCTER3;
    volatile Uint32 INTCTER4;
    volatile Uint32 INTCTER5;
    volatile Uint32 INTCTER6;
    volatile Uint32 INTCTER7;
    volatile Uint32 INTCTER8;
    volatile Uint32 INTCTER9;
    volatile Uint32 INTCTER10;
    volatile Uint32 INTCTER11;
    volatile Uint32 INTCTER12;
    volatile Uint32 INTCTER13;
    volatile Uint32 INTCTER14;
    volatile Uint32 INTCTER15;
    volatile Uint32 INTCTER16;
    volatile Uint32 INTCTER17;
    volatile Uint32 INTCTER18;
    volatile Uint32 INTCTER19;
    volatile Uint32 INTCTER20;
    volatile Uint32 INTCTER21;
    volatile Uint32 INTCTER22;
    volatile Uint32 INTCTER23;
    volatile Uint32 INTCTER24;
    volatile Uint32 INTCTER25;
    volatile Uint32 INTCTER26;
    volatile Uint32 INTCTER27;
    volatile Uint32 INTCTER28;
    volatile Uint32 INTCTER29;
    volatile Uint32 INTCTER30;
    volatile Uint32 INTCTER31;
} CSL_DmaxpdspRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* CONTROL */

#define CSL_DMAXPDSP_CONTROL_PCRESET_MASK (0xFFFF0000u)
#define CSL_DMAXPDSP_CONTROL_PCRESET_SHIFT (0x00000010u)
#define CSL_DMAXPDSP_CONTROL_PCRESET_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_CONTROL_RUNSTATE_MASK (0x00008000u)
#define CSL_DMAXPDSP_CONTROL_RUNSTATE_SHIFT (0x0000000Fu)
#define CSL_DMAXPDSP_CONTROL_RUNSTATE_RESETVAL (0x00000000u)
/*----RUNSTATE Tokens----*/
#define CSL_DMAXPDSP_CONTROL_RUNSTATE_HALT (0x00000000u)
#define CSL_DMAXPDSP_CONTROL_RUNSTATE_RUN (0x00000001u)

#define CSL_DMAXPDSP_CONTROL_ENDIAN_MASK (0x00004000u)
#define CSL_DMAXPDSP_CONTROL_ENDIAN_SHIFT (0x0000000Eu)
#define CSL_DMAXPDSP_CONTROL_ENDIAN_RESETVAL (0x00000000u)
/*----ENDIAN Tokens----*/
#define CSL_DMAXPDSP_CONTROL_ENDIAN_LITTLE (0x00000000u)
#define CSL_DMAXPDSP_CONTROL_ENDIAN_BIG (0x00000001u)


#define CSL_DMAXPDSP_CONTROL_SINGLESTEP_MASK (0x00000100u)
#define CSL_DMAXPDSP_CONTROL_SINGLESTEP_SHIFT (0x00000008u)
#define CSL_DMAXPDSP_CONTROL_SINGLESTEP_RESETVAL (0x00000000u)
/*----SINGLESTEP Tokens----*/
#define CSL_DMAXPDSP_CONTROL_SINGLESTEP_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_CONTROL_SINGLESTEP_ENABLE (0x00000001u)


#define CSL_DMAXPDSP_CONTROL_CYCLECOUNT_MASK (0x00000008u)
#define CSL_DMAXPDSP_CONTROL_CYCLECOUNT_SHIFT (0x00000003u)
#define CSL_DMAXPDSP_CONTROL_CYCLECOUNT_RESETVAL (0x00000000u)
/*----CYCLECOUNT Tokens----*/
#define CSL_DMAXPDSP_CONTROL_CYCLECOUNT_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_CONTROL_CYCLECOUNT_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_CONTROL_SLEEP_MASK (0x00000004u)
#define CSL_DMAXPDSP_CONTROL_SLEEP_SHIFT (0x00000002u)
#define CSL_DMAXPDSP_CONTROL_SLEEP_RESETVAL (0x00000000u)
/*----SLEEP Tokens----*/
#define CSL_DMAXPDSP_CONTROL_SLEEP_WAKE (0x00000000u)
#define CSL_DMAXPDSP_CONTROL_SLEEP_SLEEP (0x00000001u)

#define CSL_DMAXPDSP_CONTROL_ENABLE_MASK (0x00000002u)
#define CSL_DMAXPDSP_CONTROL_ENABLE_SHIFT (0x00000001u)
#define CSL_DMAXPDSP_CONTROL_ENABLE_RESETVAL (0x00000000u)
/*----ENABLE Tokens----*/
#define CSL_DMAXPDSP_CONTROL_ENABLE_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_CONTROL_ENABLE_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_CONTROL_SOFTRESET_MASK (0x00000001u)
#define CSL_DMAXPDSP_CONTROL_SOFTRESET_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_CONTROL_SOFTRESET_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_CONTROL_RESETVAL (0x00000000u)

/* STATUS */


#define CSL_DMAXPDSP_STATUS_PC_MASK (0x0000FFFFu)
#define CSL_DMAXPDSP_STATUS_PC_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_STATUS_PC_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_STATUS_RESETVAL (0x00000000u)

/* WAKEUP */

#define CSL_DMAXPDSP_WAKEUP_WE31_MASK (0x80000000u)
#define CSL_DMAXPDSP_WAKEUP_WE31_SHIFT (0x0000001Fu)
#define CSL_DMAXPDSP_WAKEUP_WE31_RESETVAL (0x00000000u)
/*----WE31 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE31_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE31_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE30_MASK (0x40000000u)
#define CSL_DMAXPDSP_WAKEUP_WE30_SHIFT (0x0000001Eu)
#define CSL_DMAXPDSP_WAKEUP_WE30_RESETVAL (0x00000000u)
/*----WE30 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE30_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE30_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE29_MASK (0x20000000u)
#define CSL_DMAXPDSP_WAKEUP_WE29_SHIFT (0x0000001Du)
#define CSL_DMAXPDSP_WAKEUP_WE29_RESETVAL (0x00000000u)
/*----WE29 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE29_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE29_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE28_MASK (0x10000000u)
#define CSL_DMAXPDSP_WAKEUP_WE28_SHIFT (0x0000001Cu)
#define CSL_DMAXPDSP_WAKEUP_WE28_RESETVAL (0x00000000u)
/*----WE28 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE28_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE28_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE27_MASK (0x08000000u)
#define CSL_DMAXPDSP_WAKEUP_WE27_SHIFT (0x0000001Bu)
#define CSL_DMAXPDSP_WAKEUP_WE27_RESETVAL (0x00000000u)
/*----WE27 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE27_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE27_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE26_MASK (0x04000000u)
#define CSL_DMAXPDSP_WAKEUP_WE26_SHIFT (0x0000001Au)
#define CSL_DMAXPDSP_WAKEUP_WE26_RESETVAL (0x00000000u)
/*----WE26 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE26_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE26_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE25_MASK (0x02000000u)
#define CSL_DMAXPDSP_WAKEUP_WE25_SHIFT (0x00000019u)
#define CSL_DMAXPDSP_WAKEUP_WE25_RESETVAL (0x00000000u)
/*----WE25 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE25_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE25_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE24_MASK (0x01000000u)
#define CSL_DMAXPDSP_WAKEUP_WE24_SHIFT (0x00000018u)
#define CSL_DMAXPDSP_WAKEUP_WE24_RESETVAL (0x00000000u)
/*----WE24 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE24_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE24_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE23_MASK (0x00800000u)
#define CSL_DMAXPDSP_WAKEUP_WE23_SHIFT (0x00000017u)
#define CSL_DMAXPDSP_WAKEUP_WE23_RESETVAL (0x00000000u)
/*----WE23 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE23_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE23_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE22_MASK (0x00400000u)
#define CSL_DMAXPDSP_WAKEUP_WE22_SHIFT (0x00000016u)
#define CSL_DMAXPDSP_WAKEUP_WE22_RESETVAL (0x00000000u)
/*----WE22 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE22_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE22_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE21_MASK (0x00200000u)
#define CSL_DMAXPDSP_WAKEUP_WE21_SHIFT (0x00000015u)
#define CSL_DMAXPDSP_WAKEUP_WE21_RESETVAL (0x00000000u)
/*----WE21 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE21_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE21_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE20_MASK (0x00100000u)
#define CSL_DMAXPDSP_WAKEUP_WE20_SHIFT (0x00000014u)
#define CSL_DMAXPDSP_WAKEUP_WE20_RESETVAL (0x00000000u)
/*----WE20 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE20_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE20_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE19_MASK (0x00080000u)
#define CSL_DMAXPDSP_WAKEUP_WE19_SHIFT (0x00000013u)
#define CSL_DMAXPDSP_WAKEUP_WE19_RESETVAL (0x00000000u)
/*----WE19 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE19_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE19_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE18_MASK (0x00040000u)
#define CSL_DMAXPDSP_WAKEUP_WE18_SHIFT (0x00000012u)
#define CSL_DMAXPDSP_WAKEUP_WE18_RESETVAL (0x00000000u)
/*----WE18 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE18_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE18_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE17_MASK (0x00020000u)
#define CSL_DMAXPDSP_WAKEUP_WE17_SHIFT (0x00000011u)
#define CSL_DMAXPDSP_WAKEUP_WE17_RESETVAL (0x00000000u)
/*----WE17 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE17_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE17_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE16_MASK (0x00010000u)
#define CSL_DMAXPDSP_WAKEUP_WE16_SHIFT (0x00000010u)
#define CSL_DMAXPDSP_WAKEUP_WE16_RESETVAL (0x00000000u)
/*----WE16 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE16_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE16_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE15_MASK (0x00008000u)
#define CSL_DMAXPDSP_WAKEUP_WE15_SHIFT (0x0000000Fu)
#define CSL_DMAXPDSP_WAKEUP_WE15_RESETVAL (0x00000000u)
/*----WE15 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE15_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE15_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE14_MASK (0x00004000u)
#define CSL_DMAXPDSP_WAKEUP_WE14_SHIFT (0x0000000Eu)
#define CSL_DMAXPDSP_WAKEUP_WE14_RESETVAL (0x00000000u)
/*----WE14 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE14_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE14_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE13_MASK (0x00002000u)
#define CSL_DMAXPDSP_WAKEUP_WE13_SHIFT (0x0000000Du)
#define CSL_DMAXPDSP_WAKEUP_WE13_RESETVAL (0x00000000u)
/*----WE13 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE13_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE13_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE12_MASK (0x00001000u)
#define CSL_DMAXPDSP_WAKEUP_WE12_SHIFT (0x0000000Cu)
#define CSL_DMAXPDSP_WAKEUP_WE12_RESETVAL (0x00000000u)
/*----WE12 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE12_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE12_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE11_MASK (0x00000800u)
#define CSL_DMAXPDSP_WAKEUP_WE11_SHIFT (0x0000000Bu)
#define CSL_DMAXPDSP_WAKEUP_WE11_RESETVAL (0x00000000u)
/*----WE11 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE11_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE11_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE10_MASK (0x00000400u)
#define CSL_DMAXPDSP_WAKEUP_WE10_SHIFT (0x0000000Au)
#define CSL_DMAXPDSP_WAKEUP_WE10_RESETVAL (0x00000000u)
/*----WE10 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE10_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE10_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE9_MASK (0x00000200u)
#define CSL_DMAXPDSP_WAKEUP_WE9_SHIFT (0x00000009u)
#define CSL_DMAXPDSP_WAKEUP_WE9_RESETVAL (0x00000000u)
/*----WE9 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE9_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE9_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE8_MASK (0x00000100u)
#define CSL_DMAXPDSP_WAKEUP_WE8_SHIFT (0x00000008u)
#define CSL_DMAXPDSP_WAKEUP_WE8_RESETVAL (0x00000000u)
/*----WE8 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE8_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE8_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE7_MASK (0x00000080u)
#define CSL_DMAXPDSP_WAKEUP_WE7_SHIFT (0x00000007u)
#define CSL_DMAXPDSP_WAKEUP_WE7_RESETVAL (0x00000000u)
/*----WE7 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE7_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE7_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE6_MASK (0x00000040u)
#define CSL_DMAXPDSP_WAKEUP_WE6_SHIFT (0x00000006u)
#define CSL_DMAXPDSP_WAKEUP_WE6_RESETVAL (0x00000000u)
/*----WE6 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE6_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE6_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE5_MASK (0x00000020u)
#define CSL_DMAXPDSP_WAKEUP_WE5_SHIFT (0x00000005u)
#define CSL_DMAXPDSP_WAKEUP_WE5_RESETVAL (0x00000000u)
/*----WE5 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE5_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE5_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE4_MASK (0x00000010u)
#define CSL_DMAXPDSP_WAKEUP_WE4_SHIFT (0x00000004u)
#define CSL_DMAXPDSP_WAKEUP_WE4_RESETVAL (0x00000000u)
/*----WE4 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE4_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE4_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE3_MASK (0x00000008u)
#define CSL_DMAXPDSP_WAKEUP_WE3_SHIFT (0x00000003u)
#define CSL_DMAXPDSP_WAKEUP_WE3_RESETVAL (0x00000000u)
/*----WE3 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE3_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE3_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE2_MASK (0x00000004u)
#define CSL_DMAXPDSP_WAKEUP_WE2_SHIFT (0x00000002u)
#define CSL_DMAXPDSP_WAKEUP_WE2_RESETVAL (0x00000000u)
/*----WE2 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE2_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE2_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE1_MASK (0x00000002u)
#define CSL_DMAXPDSP_WAKEUP_WE1_SHIFT (0x00000001u)
#define CSL_DMAXPDSP_WAKEUP_WE1_RESETVAL (0x00000000u)
/*----WE1 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE1_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE1_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_WE0_MASK (0x00000001u)
#define CSL_DMAXPDSP_WAKEUP_WE0_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE0_RESETVAL (0x00000000u)
/*----WE0 Tokens----*/
#define CSL_DMAXPDSP_WAKEUP_WE0_DISABLE (0x00000000u)
#define CSL_DMAXPDSP_WAKEUP_WE0_ENABLE (0x00000001u)

#define CSL_DMAXPDSP_WAKEUP_RESETVAL (0x00000000u)

/* CYCLECNT */

#define CSL_DMAXPDSP_CYCLECNT_COUNT_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_CYCLECNT_COUNT_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_CYCLECNT_COUNT_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_CYCLECNT_RESETVAL (0x00000000u)

/* STALLCNT */

#define CSL_DMAXPDSP_STALLCNT_COUNT_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_STALLCNT_COUNT_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_STALLCNT_COUNT_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_STALLCNT_RESETVAL (0x00000000u)

/* CONTABBLKIDX0 */


#define CSL_DMAXPDSP_CONTABBLKIDX0_C25_MASK (0x000F0000u)
#define CSL_DMAXPDSP_CONTABBLKIDX0_C25_SHIFT (0x00000010u)
#define CSL_DMAXPDSP_CONTABBLKIDX0_C25_RESETVAL (0x00000000u)


#define CSL_DMAXPDSP_CONTABBLKIDX0_C24_MASK (0x0000000Fu)
#define CSL_DMAXPDSP_CONTABBLKIDX0_C24_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_CONTABBLKIDX0_C24_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_CONTABBLKIDX0_RESETVAL (0x00000000u)

/* CONTABBLKIDX1 */


#define CSL_DMAXPDSP_CONTABBLKIDX1_C27_MASK (0x000F0000u)
#define CSL_DMAXPDSP_CONTABBLKIDX1_C27_SHIFT (0x00000010u)
#define CSL_DMAXPDSP_CONTABBLKIDX1_C27_RESETVAL (0x00000000u)


#define CSL_DMAXPDSP_CONTABBLKIDX1_C26_MASK (0x0000000Fu)
#define CSL_DMAXPDSP_CONTABBLKIDX1_C26_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_CONTABBLKIDX1_C26_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_CONTABBLKIDX1_RESETVAL (0x00000000u)

/* CONTABPROPTR0 */

#define CSL_DMAXPDSP_CONTABPROPTR0_C29_MASK (0xFFFF0000u)
#define CSL_DMAXPDSP_CONTABPROPTR0_C29_SHIFT (0x00000010u)
#define CSL_DMAXPDSP_CONTABPROPTR0_C29_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_CONTABPROPTR0_C28_MASK (0x0000FFFFu)
#define CSL_DMAXPDSP_CONTABPROPTR0_C28_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_CONTABPROPTR0_C28_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_CONTABPROPTR0_RESETVAL (0x00000000u)

/* CONTABPROPTR1 */

#define CSL_DMAXPDSP_CONTABPROPTR1_C31_MASK (0xFFFF0000u)
#define CSL_DMAXPDSP_CONTABPROPTR1_C31_SHIFT (0x00000010u)
#define CSL_DMAXPDSP_CONTABPROPTR1_C31_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_CONTABPROPTR1_C30_MASK (0x0000FFFFu)
#define CSL_DMAXPDSP_CONTABPROPTR1_C30_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_CONTABPROPTR1_C30_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_CONTABPROPTR1_RESETVAL (0x00000000u)

/* INTGPR0 */

#define CSL_DMAXPDSP_INTGPR0_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR0_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR0_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR0_RESETVAL (0x00000000u)

/* INTGPR1 */

#define CSL_DMAXPDSP_INTGPR1_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR1_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR1_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR1_RESETVAL (0x00000000u)

/* INTGPR2 */

#define CSL_DMAXPDSP_INTGPR2_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR2_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR2_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR2_RESETVAL (0x00000000u)

/* INTGPR3 */

#define CSL_DMAXPDSP_INTGPR3_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR3_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR3_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR3_RESETVAL (0x00000000u)

/* INTGPR4 */

#define CSL_DMAXPDSP_INTGPR4_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR4_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR4_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR4_RESETVAL (0x00000000u)

/* INTGPR5 */

#define CSL_DMAXPDSP_INTGPR5_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR5_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR5_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR5_RESETVAL (0x00000000u)

/* INTGPR6 */

#define CSL_DMAXPDSP_INTGPR6_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR6_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR6_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR6_RESETVAL (0x00000000u)

/* INTGPR7 */

#define CSL_DMAXPDSP_INTGPR7_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR7_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR7_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR7_RESETVAL (0x00000000u)

/* INTGPR8 */

#define CSL_DMAXPDSP_INTGPR8_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR8_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR8_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR8_RESETVAL (0x00000000u)

/* INTGPR9 */

#define CSL_DMAXPDSP_INTGPR9_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR9_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR9_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR9_RESETVAL (0x00000000u)

/* INTGPR10 */

#define CSL_DMAXPDSP_INTGPR10_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR10_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR10_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR10_RESETVAL (0x00000000u)

/* INTGPR11 */

#define CSL_DMAXPDSP_INTGPR11_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR11_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR11_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR11_RESETVAL (0x00000000u)

/* INTGPR12 */

#define CSL_DMAXPDSP_INTGPR12_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR12_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR12_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR12_RESETVAL (0x00000000u)

/* INTGPR13 */

#define CSL_DMAXPDSP_INTGPR13_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR13_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR13_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR13_RESETVAL (0x00000000u)

/* INTGPR14 */

#define CSL_DMAXPDSP_INTGPR14_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR14_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR14_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR14_RESETVAL (0x00000000u)

/* INTGPR15 */

#define CSL_DMAXPDSP_INTGPR15_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR15_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR15_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR15_RESETVAL (0x00000000u)

/* INTGPR16 */

#define CSL_DMAXPDSP_INTGPR16_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR16_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR16_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR16_RESETVAL (0x00000000u)

/* INTGPR17 */

#define CSL_DMAXPDSP_INTGPR17_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR17_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR17_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR17_RESETVAL (0x00000000u)

/* INTGPR18 */

#define CSL_DMAXPDSP_INTGPR18_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR18_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR18_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR18_RESETVAL (0x00000000u)

/* INTGPR19 */

#define CSL_DMAXPDSP_INTGPR19_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR19_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR19_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR19_RESETVAL (0x00000000u)

/* INTGPR20 */

#define CSL_DMAXPDSP_INTGPR20_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR20_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR20_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR20_RESETVAL (0x00000000u)

/* INTGPR21 */

#define CSL_DMAXPDSP_INTGPR21_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR21_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR21_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR21_RESETVAL (0x00000000u)

/* INTGPR22 */

#define CSL_DMAXPDSP_INTGPR22_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR22_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR22_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR22_RESETVAL (0x00000000u)

/* INTGPR23 */

#define CSL_DMAXPDSP_INTGPR23_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR23_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR23_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR23_RESETVAL (0x00000000u)

/* INTGPR24 */

#define CSL_DMAXPDSP_INTGPR24_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR24_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR24_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR24_RESETVAL (0x00000000u)

/* INTGPR25 */

#define CSL_DMAXPDSP_INTGPR25_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR25_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR25_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR25_RESETVAL (0x00000000u)

/* INTGPR26 */

#define CSL_DMAXPDSP_INTGPR26_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR26_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR26_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR26_RESETVAL (0x00000000u)

/* INTGPR27 */

#define CSL_DMAXPDSP_INTGPR27_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR27_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR27_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR27_RESETVAL (0x00000000u)

/* INTGPR28 */

#define CSL_DMAXPDSP_INTGPR28_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR28_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR28_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR28_RESETVAL (0x00000000u)

/* INTGPR29 */

#define CSL_DMAXPDSP_INTGPR29_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR29_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR29_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR29_RESETVAL (0x00000000u)

/* INTGPR30 */

#define CSL_DMAXPDSP_INTGPR30_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR30_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR30_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR30_RESETVAL (0x00000000u)

/* INTGPR31 */

#define CSL_DMAXPDSP_INTGPR31_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTGPR31_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTGPR31_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTGPR31_RESETVAL (0x00000000u)

/* INTCTER0 */

#define CSL_DMAXPDSP_INTCTER0_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER0_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER0_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER0_RESETVAL (0x00000000u)

/* INTCTER1 */

#define CSL_DMAXPDSP_INTCTER1_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER1_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER1_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER1_RESETVAL (0x00000000u)

/* INTCTER2 */

#define CSL_DMAXPDSP_INTCTER2_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER2_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER2_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER2_RESETVAL (0x00000000u)

/* INTCTER3 */

#define CSL_DMAXPDSP_INTCTER3_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER3_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER3_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER3_RESETVAL (0x00000000u)

/* INTCTER4 */

#define CSL_DMAXPDSP_INTCTER4_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER4_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER4_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER4_RESETVAL (0x00000000u)

/* INTCTER5 */

#define CSL_DMAXPDSP_INTCTER5_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER5_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER5_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER5_RESETVAL (0x00000000u)

/* INTCTER6 */

#define CSL_DMAXPDSP_INTCTER6_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER6_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER6_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER6_RESETVAL (0x00000000u)

/* INTCTER7 */

#define CSL_DMAXPDSP_INTCTER7_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER7_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER7_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER7_RESETVAL (0x00000000u)

/* INTCTER8 */

#define CSL_DMAXPDSP_INTCTER8_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER8_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER8_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER8_RESETVAL (0x00000000u)

/* INTCTER9 */

#define CSL_DMAXPDSP_INTCTER9_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER9_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER9_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER9_RESETVAL (0x00000000u)

/* INTCTER10 */

#define CSL_DMAXPDSP_INTCTER10_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER10_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER10_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER10_RESETVAL (0x00000000u)

/* INTCTER11 */

#define CSL_DMAXPDSP_INTCTER11_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER11_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER11_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER11_RESETVAL (0x00000000u)

/* INTCTER12 */

#define CSL_DMAXPDSP_INTCTER12_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER12_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER12_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER12_RESETVAL (0x00000000u)

/* INTCTER13 */

#define CSL_DMAXPDSP_INTCTER13_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER13_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER13_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER13_RESETVAL (0x00000000u)

/* INTCTER14 */

#define CSL_DMAXPDSP_INTCTER14_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER14_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER14_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER14_RESETVAL (0x00000000u)

/* INTCTER15 */

#define CSL_DMAXPDSP_INTCTER15_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER15_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER15_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER15_RESETVAL (0x00000000u)

/* INTCTER16 */

#define CSL_DMAXPDSP_INTCTER16_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER16_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER16_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER16_RESETVAL (0x00000000u)

/* INTCTER17 */

#define CSL_DMAXPDSP_INTCTER17_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER17_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER17_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER17_RESETVAL (0x00000000u)

/* INTCTER18 */

#define CSL_DMAXPDSP_INTCTER18_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER18_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER18_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER18_RESETVAL (0x00000000u)

/* INTCTER19 */

#define CSL_DMAXPDSP_INTCTER19_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER19_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER19_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER19_RESETVAL (0x00000000u)

/* INTCTER20 */

#define CSL_DMAXPDSP_INTCTER20_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER20_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER20_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER20_RESETVAL (0x00000000u)

/* INTCTER21 */

#define CSL_DMAXPDSP_INTCTER21_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER21_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER21_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER21_RESETVAL (0x00000000u)

/* INTCTER22 */

#define CSL_DMAXPDSP_INTCTER22_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER22_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER22_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER22_RESETVAL (0x00000000u)

/* INTCTER23 */

#define CSL_DMAXPDSP_INTCTER23_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER23_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER23_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER23_RESETVAL (0x00000000u)

/* INTCTER24 */

#define CSL_DMAXPDSP_INTCTER24_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER24_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER24_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER24_RESETVAL (0x00000000u)

/* INTCTER25 */

#define CSL_DMAXPDSP_INTCTER25_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER25_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER25_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER25_RESETVAL (0x00000000u)

/* INTCTER26 */

#define CSL_DMAXPDSP_INTCTER26_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER26_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER26_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER26_RESETVAL (0x00000000u)

/* INTCTER27 */

#define CSL_DMAXPDSP_INTCTER27_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER27_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER27_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER27_RESETVAL (0x00000000u)

/* INTCTER28 */

#define CSL_DMAXPDSP_INTCTER28_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER28_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER28_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER28_RESETVAL (0x00000000u)

/* INTCTER29 */

#define CSL_DMAXPDSP_INTCTER29_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER29_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER29_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER29_RESETVAL (0x00000000u)

/* INTCTER30 */

#define CSL_DMAXPDSP_INTCTER30_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER30_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER30_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER30_RESETVAL (0x00000000u)

/* INTCTER31 */

#define CSL_DMAXPDSP_INTCTER31_VAL_MASK (0xFFFFFFFFu)
#define CSL_DMAXPDSP_INTCTER31_VAL_SHIFT (0x00000000u)
#define CSL_DMAXPDSP_INTCTER31_VAL_RESETVAL (0x00000000u)

#define CSL_DMAXPDSP_INTCTER31_RESETVAL (0x00000000u)

#endif
